// https://minecraft.fandom.com/wiki/Bedrock_Edition_level_format/Entity_format#Additional_fields_for_entity_types

const entityIdList = {
  'minecraft:agent': 'Agent',
  'minecraft:allay': 'Allay',
  'minecraft:area_effect_cloud': 'Area Effect Cloud',
  'minecraft:armor_stand': 'Armor Stand',
  'minecraft:arrow': 'Arrow',
  'minecraft:axolotl': 'Axolotl',

  'minecraft:bat': 'Bat',
  'minecraft:bee': 'Bee',
  'minecraft:blaze': 'Blaze',

  'minecraft:camel': 'Camel',
  'minecraft:cat': 'Cat',
  'minecraft:cave_spider': 'Cave Spider',
  'minecraft:chest_minecart': 'Minecart with Chest',
  'minecraft:chicken': 'Chicken',
  'minecraft:command_block_minecart': 'Minecart with Command Block',
  'minecraft:cod': 'Cod',
  'minecraft:cow': 'Cow',
  'minecraft:creeper': 'Creeper',

  'minecraft:dolphin': 'Dolphin',
  'minecraft:donkey': 'Donkey',
  'minecraft:dragon_fireball': 'Dragon Fireball',
  'minecraft:drowned': 'Drowned',

  'minecraft:egg': 'Thrown Egg',
  'minecraft:elder_guardian': 'Elder Guardian',
  'minecraft:ender_crystal': 'Ender Crystal',
  'minecraft:ender_dragon': 'Ender Dragon',
  'minecraft:ender_pearl': 'Thrown Ender Pearl',
  'minecraft:enderman': 'Enderman',
  'minecraft:endermite': 'Endermite',
  'minecraft:evocation_illager': 'Evoker',
  'minecraft:evoker_fangs': 'Evoker Fangs',
  'minecraft:experience_bottle': 'Thrown Experience Bottle',
  'minecraft:exp_orb': 'Experience Orb',
  'minecraft:eye_of_ender_signal': 'Eye of Ender',

  'minecraft:falling_block': 'Falling Block',
  'minecraft:fireball': 'Fireball',
  'minecraft:fireworks_rocket': 'Firework Rocket',
  'minecraft:fishing_hook': 'Fishing Hook',
  'minecraft:fox': 'Fox',
  'minecraft:frog': 'Frog',

  'minecraft:ghast': 'Ghast',
  'minecraft:glow_squid': 'Glow Squid',
  'minecraft:goat': 'Goat',
  'minecraft:guardian': 'Guardian',

  'minecraft:hoglin': 'Hoglin',
  'minecraft:hopper_minecart': 'Minecart with Hopper',
  'minecraft:horse': 'Horse',
  'minecraft:husk': 'Husk',

  'minecraft:iron_golem': 'Iron Golem',

  'minecraft:lightning_bolt': 'Lightning Bolt',
  'minecraft:lingering_potion': 'Lingering Potion',
  'minecraft:llama': 'Llama',
  'minecraft:llama_spit': 'Llama Spit',

  'minecraft:magma_cube': 'Magma Cube',
  'minecraft:mooshroom': 'Mooshroom',
  'minecraft:mule': 'Mule',

  'minecraft:npc': 'NPC',

  'minecraft:ocelot': 'Ocelot',

  'minecraft:panda': 'Panda',
  'minecraft:parrot': 'Parrot',
  'minecraft:phantom': 'Phantom',
  'minecraft:pig': 'Pig',
  'minecraft:piglin': 'Piglin',
  'minecraft:piglin_brute': 'Piglin Brute',
  'minecraft:pillager': 'Pillager',
  'minecraft:polar_bear': 'Polar Bear',
  'minecaft:player': 'Player',
  'minecraft:tnt': 'Primed TNT',
  'minecraft:pufferfish': 'Pufferfish',

  'minecraft:rabbit': 'Rabbit',
  'minecraft:ravager': 'Ravager',

  'minecraft:salmon': 'Salmon',
  'minecraft:sheep': 'Sheep',
  'minecraft:shulker': 'Shulker',
  'minecraft:shulker_bullet': 'Shulker Bullet',
  'minecraft:silverfish': 'Silverfish',
  'minecraft:skeleton': 'Skeleton',
  'minecraft:skeleton_horse': 'Skeleton Horse',
  'minecraft:slime': 'Slime',
  'minecraft:small_fireball': 'Small Fireball',
  'minecraft:snow_golem': 'Snow Golem',
  'minecraft:snowball': 'Snowball',
  'minecraft:spider': 'Spider',
  'minecraft:splash_potion': 'Splash Potion',
  'minecraft:squid': 'Squid',
  'minecraft:stray': 'Stray',
  'minecraft:strider': 'Strider',

  'minecraft:tadpole': 'Tadpole',
  'minecraft:thrown_trident': 'Thrown Trident',
  'minecraft:tnt_minecart': 'Minecart with TNT',
  'minecraft:trader_llama': 'Trader Llama',
  'minecraft:tripod_camera': 'Tripod Camera',
  'minecraft:tropicalfish': 'Tropical Fish',
  'minecraft:turtle': 'Turtle',

  'minecraft:vex': 'Vex',
  'minecraft:villager': 'Villager',
  'minecraft:villager_v2': 'Villager',
  'minecraft:vindicator': 'Vindicator',

  'minecraft:wandering_trader': 'Wandering Trader',
  'minecraft:warden': 'Warden',
  'minecraft:wind_charge_projectile': 'Wind Charge',
  'minecraft:witch': 'Witch',
  'minecraft:wither': 'Wither',
  'minecraft:wither_skeleton': 'Wither Skeleton',
  'minecraft:wither_skull': 'Wither Skull',

  'minecraft:wither_skull_dangerous': 'Blue Wither Skull',
  'minecraft:wolf': 'Wolf',

  'minecraft:xp_bottle': 'Thrown Experience Bottle',

  'minecraft:zoglin': 'Zoglin',
  'minecraft:zombie': 'Zombie',
  'minecraft:zombie_horse': 'Zombie Horse',
  'minecraft:zombie_pigman': 'Zombie Pigman',
  'minecraft:zombie_villager': 'Zombie Villager',
  'minecraft:zombie_villager_v2': 'Zombie Villager',

  'minecraft:bogged': 'Bogged',
  'minecraft:creaking': 'Creaking',
  'minecraft:armadillo': 'Armadillo',
  'minecraft:sniffer': 'Sniffer',
  'minecraft:minecart': 'Minecart',
  'minecraft:boat': 'Boat',

  // add custom entities here
};

export default entityIdList;